/*
**  Copyright (C) 1993/1994, OFFIS, Oldenburg University and CERIUM
**  
**  This software and supporting documentation were
**  developed by 
**  
**    Institut OFFIS
**    Bereich Kommunikationssysteme
**    Westerstr. 10-12
**    26121 Oldenburg, Germany
**    
**    Fachbereich Informatik
**    Abteilung Prozessinformatik
**    Carl von Ossietzky Universitaet Oldenburg 
**    Ammerlaender Heerstr. 114-118
**    26111 Oldenburg, Germany
**    
**    CERIUM
**    Laboratoire SIM
**    Faculte de Medecine
**    2 Avenue du Pr. Leon Bernard
**    35043 Rennes Cedex, France
**  
**  for CEN/TC251/WG4 as a contribution to the Radiological 
**  Society of North America (RSNA) 1993 Digital Imaging and 
**  Communications in Medicine (DICOM) Demonstration.
**  
**  THIS SOFTWARE IS MADE AVAILABLE, AS IS, AND NEITHER OFFIS,
**  OLDENBURG UNIVERSITY NOR CERIUM MAKE ANY WARRANTY REGARDING 
**  THE SOFTWARE, ITS PERFORMANCE, ITS MERCHANTABILITY OR 
**  FITNESS FOR ANY PARTICULAR USE, FREEDOM FROM ANY COMPUTER 
**  DISEASES OR ITS CONFORMITY TO ANY SPECIFICATION.  THE 
**  ENTIRE RISK AS TO QUALITY AND PERFORMANCE OF THE SOFTWARE   
**  IS WITH THE USER. 
**  
**  Copyright of the software and supporting documentation
**  is, unless otherwise stated, jointly owned by OFFIS,
**  Oldenburg University and CERIUM and free access is hereby
**  granted as a license to use this software, copy this
**  software and prepare derivative works based upon this
**  software. However, any distribution of this software
**  source code or supporting documentation or derivative
**  works (source code and supporting documentation) must
**  include the three paragraphs of this copyright notice. 
** 
*/
/*
**
** Author: Ralph Meyer
**	   Oldenburg University
**	   Germany		
**
** Created: June 1993
**
** Module: asccond
**
** Purpose: 
**	Configuration facility
**
**	Module Prefix: CNF_
**
** Last Update:		hewett
** Update Date:		1996/03/28 19:24:59
** Source File:		/share/dicom/cvs-depot/dcmtk/imagectn/apps/cnf.h,v
** CVS/RCS Revision:	1.1.1.1
** Status:		Exp
**
** CVS/RCS Log at end of file
*/

#ifndef CNF_CONFIG_H
#define CNF_CONFIG_H

#include "osconfig.h"    /* make sure OS specific configuration is included first */

int CNF_init(const char *ConfigurationFile);
void CNF_printConfig();

/* get global parameter values */
const char *CNF_getApplicationTitle();
const char *CNF_getApplicationContext();
const char *CNF_getImplementationClass();
const char *CNF_getImplementationVersion();
const char *CNF_getNetworkType();
int CNF_getNetworkTCPPort();
int CNF_getMaxPDUSize();
int CNF_getMaxAssociations();
int CNF_getDisplay();
int CNF_getDisplayPort();

/* get Application Entity specific parameter values */
const char *CNF_getStorageArea(char *AETitle);
const char *CNF_getAccess(char *AETitle);
int CNF_getMaxStudies(char *AETitle);
long CNF_getMaxBytesPerStudy(char *AETitle);

/* get combined values */
int CNF_peerInAETitle(char *calledAETitle, char *callingAETitle, char *HostName);
int CNF_peerForAETitle(char *AETitle, const char **HostName, int *PortNumber);
int CNF_checkForSameVendor(char *AETitle1, char *AETitle2);
int CNF_HostNamesForVendor(const char *Vendor, char ***HostNameArray);
const char* CNF_vendorForPeerAETitle(const char *peerAETitle);

int CNF_aeTitlesForPeer(const char *hostName, char *** aeTitleList);
int CNF_ctnTitles(char *** ctnTitleList);
int CNF_aeTitlesForSymbolicName(const char *symbolicName, char ***aeTitleList);

int CNF_countCtnTitles();

#endif

/*
** CVS Log
** cnf.h,v
** Revision 1.1.1.1  1996/03/28 19:24:59  hewett
** Oldenburg Image CTN Software ported to use the dcmdata C++ toolkit.
**
**
*/
