/*
**  Copyright (C) 1993/1994, OFFIS, Oldenburg University and CERIUM
**  
**  This software and supporting documentation were
**  developed by 
**  
**    Institut OFFIS
**    Bereich Kommunikationssysteme
**    Westerstr. 10-12
**    26121 Oldenburg, Germany
**    
**    Fachbereich Informatik
**    Abteilung Prozessinformatik
**    Carl von Ossietzky Universitaet Oldenburg 
**    Ammerlaender Heerstr. 114-118
**    26111 Oldenburg, Germany
**    
**    CERIUM
**    Laboratoire SIM
**    Faculte de Medecine
**    2 Avenue du Pr. Leon Bernard
**    35043 Rennes Cedex, France
**  
**  for CEN/TC251/WG4 as a contribution to the Radiological 
**  Society of North America (RSNA) 1993 Digital Imaging and 
**  Communications in Medicine (DICOM) Demonstration.
**  
**  THIS SOFTWARE IS MADE AVAILABLE, AS IS, AND NEITHER OFFIS,
**  OLDENBURG UNIVERSITY NOR CERIUM MAKE ANY WARRANTY REGARDING 
**  THE SOFTWARE, ITS PERFORMANCE, ITS MERCHANTABILITY OR 
**  FITNESS FOR ANY PARTICULAR USE, FREEDOM FROM ANY COMPUTER 
**  DISEASES OR ITS CONFORMITY TO ANY SPECIFICATION.  THE 
**  ENTIRE RISK AS TO QUALITY AND PERFORMANCE OF THE SOFTWARE   
**  IS WITH THE USER. 
**  
**  Copyright of the software and supporting documentation
**  is, unless otherwise stated, jointly owned by OFFIS,
**  Oldenburg University and CERIUM and free access is hereby
**  granted as a license to use this software, copy this
**  software and prepare derivative works based upon this
**  software. However, any distribution of this software
**  source code or supporting documentation or derivative
**  works (source code and supporting documentation) must
**  include the three paragraphs of this copyright notice. 
** 
*/
/*
** TI Network Routines
**
** Author: 	Andrew Hewett
**		Universitaet Oldenburg, Germany
** Created:	08/1993
**
** Last Update:		hewett
** Update Date:		1996/04/22 10:27:27
** Source File:		/share/dicom/cvs-depot/dcmtk/imagectn/apps/tinet.h,v
** CVS/RCS Revision:	1.1
** Status:		Exp
**
** CVS/RCS Log at end of file
*/

#ifndef TINET_H
#define TINET_H

#include "osconfig.h"    /* make sure OS specific configuration is included first */

#include "ti.h"
#include "dicom.h"
#include "assoc.h"
#include "dimse.h"
#ifndef NODISPLAY
#include "dispuser.h"
#endif
#include "tiui.h"
#include "tinet.h"

BOOLEAN 
TI_changeAssociation(TI_Config *conf);

BOOLEAN
TI_attachAssociation(TI_Config *conf);

BOOLEAN
TI_detatchAssociation(TI_Config *conf, BOOLEAN abortFlag);

BOOLEAN 
TI_sendEcho(TI_Config *conf);

BOOLEAN
TI_storeImage(TI_Config *conf, char *sopClass, char *sopInstance, 
    char * imgFile);

typedef struct {
    TI_DBEntry *db;
    TI_StudyEntry *study;
    TI_SeriesEntry *series;
} TI_GenericCallbackStruct;

typedef BOOLEAN (*TI_GenericEntryCallbackFunction)(
    TI_GenericCallbackStruct *cbstruct, DcmDataset *reply);

BOOLEAN
TI_remoteFindQuery(TI_Config *conf, TI_DBEntry *db, DcmDataset *query,
    TI_GenericEntryCallbackFunction callbackFunction,
    TI_GenericCallbackStruct *callbackData);


#endif

/*
** CVS Log
** tinet.h,v
** Revision 1.1  1996/04/22 10:27:27  hewett
** Initial release.
**
**
*/
