#!/usr/local/bin/perl
#
#  Copyright (C) 1996, OFFIS
#
#  This software and supporting documentation were developed by
#
#    Kuratorium OFFIS e.V.
#    Forschungsbereich 2: Kommunikationssysteme
#    Escherweg 2
#    D-26121 Oldenburg, Germany
#
#  for CEN/TC251/WG4 as a contribution to the Computer Assisted Radiology
#  (CAR) 1996 DICOM Demonstration.
#
#  THIS SOFTWARE IS MADE AVAILABLE,  AS IS,  AND OFFIS MAKES NO  WARRANTY
#  REGARDING  THE  SOFTWARE,  ITS  PERFORMANCE,  ITS  MERCHANTABILITY  OR
#  FITNESS FOR ANY PARTICULAR USE, FREEDOM FROM ANY COMPUTER DISEASES  OR
#  ITS CONFORMITY TO ANY SPECIFICATION. THE ENTIRE RISK AS TO QUALITY AND
#  PERFORMANCE OF THE SOFTWARE IS WITH THE USER.
#
#  Copyright of the software  and  supporting  documentation  is,  unless
#  otherwise stated, owned by OFFIS, and free access is hereby granted as
#  a license to  use  this  software,  copy  this  software  and  prepare
#  derivative works based upon this software.  However, any  distribution
#  of this software source code or supporting documentation or derivative
#  works  (source code and  supporting documentation)  must  include  the
#  three paragraphs of this copyright notice.
#
#
# Module: DICOM Basic Worklist Management CTN, WWW Component
#
# Author: Marco Eichelberg
#
# Purpose:
#   This is the configuration file for the WWW component
#   of the DICOM Basic Worklist Management CTN.
#   All supported storage areas and directories must be configured here.
#
# Last Update:      meichel
# Update Date:      1996/06/12 17:29:48
# Source File:      /share/dicom/cvs-depot/dcmtk/wlistctn/perl/prefs.ph,v
# CVS/RCS Revision: 1.3
# Status:           Exp
#
# CVS/RCS Log
#   prefs.ph,v
#   Revision 1.3  1996/06/12 17:29:48  meichel
#   added support for "public" storage areas without password
#
#   Revision 1.2  1996/06/11 16:34:04  meichel
#   Simplified configuration, minor bug fixes.
#
#   Revision 1.1  1996/05/30 16:08:03  meichel
#   Initial release of perl scripts for Worklist CTN WWW component.
#
#

# --------------------- WWW Server Configuration ---------------------

# RELATIVE path to the Worklist CTN WWW script directory, as seen by httpd
$prefs{'cgi_path'}  = '/cgi-bin/worklist';

# RELATIVE path to the Worklist CTN WWW html directory, as seen by httpd
$prefs{'html_path'}  = '/worklist';

# ABSOLUTE path to the Worklist CTN data directory
$prefs{'data_path'} = '/home/www/wl-data';

# ------------------ Constants - Please do not change! ------------------

# Paths for HTML links.
$prefs{'offis_gif'}   = join('/',$prefs{'html_path'},'offis.gif');
$prefs{'main.pl'}     = join('/',$prefs{'cgi_path'},'main.pl');
$prefs{'patient.pl'}  = join('/',$prefs{'cgi_path'},'patient.pl');
$prefs{'patiedit.pl'} = join('/',$prefs{'cgi_path'},'patiedit.pl');
$prefs{'patidel.pl'}  = join('/',$prefs{'cgi_path'},'patidel.pl');
$prefs{'station.pl'}  = join('/',$prefs{'cgi_path'},'station.pl');
$prefs{'statedit.pl'} = join('/',$prefs{'cgi_path'},'statedit.pl');
$prefs{'statdel.pl'}  = join('/',$prefs{'cgi_path'},'statdel.pl');
$prefs{'procedur.pl'} = join('/',$prefs{'cgi_path'},'procedur.pl');
$prefs{'procedit.pl'} = join('/',$prefs{'cgi_path'},'procedit.pl');
$prefs{'procdel.pl'}  = join('/',$prefs{'cgi_path'},'procdel.pl');
$prefs{'procstep.pl'} = join('/',$prefs{'cgi_path'},'procstep.pl');
$prefs{'prstedit.pl'} = join('/',$prefs{'cgi_path'},'prstedit.pl');
$prefs{'prstdel.pl'}  = join('/',$prefs{'cgi_path'},'prstdel.pl');
$prefs{'worklist.pl'} = join('/',$prefs{'cgi_path'},'worklist.pl');
$prefs{'workedit.pl'} = join('/',$prefs{'cgi_path'},'workedit.pl');
$prefs{'workdel.pl'}  = join('/',$prefs{'cgi_path'},'workdel.pl');
$prefs{'changepw.pl'} = join('/',$prefs{'cgi_path'},'changepw.pl');

# Path to the C++ executables required by "lock.ph", "worklist.pl" etc.
$prefs{'preplock'} = './preplock';
$prefs{'readoviw'} = './readoviw';
$prefs{'readwlst'} = './readwlst';
$prefs{'writwlst'} = './writwlst';

# Name of the password file in each storage area
$prefs{'passwdfile'} = 'passwd.dat';
$prefs{'publicfile'} = 'public';

# Name of the perl data file in each storage area
$prefs{'datafile'}   = 'worklist.dat';

# Name of the (common) log file, relative to $prefs{'data_path'}.
$prefs{'logfile'}    = 'log.dat';

# Name of the file used for read/write locking.
# Attention: Must be identical to the filename used in the C++
# compontents of the Worklist CTN.
$prefs{'lockfile'}   = 'lockfile';

# Filename extension for DICOM files (worklist entries).
$prefs{'dicom_ext'}  = 'wl';

# 
$prefs{'series_UID'}  = '1.2.276.0.7230010.3.5.3';

1;
